package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学校新招等状态对象 mall_school_status
 *
 * @author ruoyi
 * @date 2024-07-16
 */
public class MallSchoolStatus extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 学校状态id */
    private Long schoolStatusId;

    /** 学校id */
    @Excel(name = "学校id")
    private Long schoolId;

    /** 批次id */
    @Excel(name = "批次id")
    private Long batchId;

    /** 学科 */
    @Excel(name = "学科")
    private String subjectType;

    /** 是否新招学校 */
    @Excel(name = "是否新招学校")
    private Integer isNewAccept;

    /** 是否有新招专业 */
    @Excel(name = "是否有新招专业")
    private Integer hasNewLink;

    /** 是否招生变化 */
    @Excel(name = "是否招生变化")
    private Integer isChange;

    /** 是否公布 */
    @Excel(name = "是否公布")
    private Integer noPlan;

    /** 删除标记 */
    private Integer delFlag;

    public void setSchoolStatusId(Long schoolStatusId)
    {
        this.schoolStatusId = schoolStatusId;
    }

    public Long getSchoolStatusId()
    {
        return schoolStatusId;
    }
    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId()
    {
        return schoolId;
    }
    public void setBatchId(Long batchId)
    {
        this.batchId = batchId;
    }

    public Long getBatchId()
    {
        return batchId;
    }
    public void setSubjectType(String subjectType)
    {
        this.subjectType = subjectType;
    }

    public String getSubjectType()
    {
        return subjectType;
    }
    public void setIsNewAccept(Integer isNewAccept)
    {
        this.isNewAccept = isNewAccept;
    }

    public Integer getIsNewAccept()
    {
        return isNewAccept;
    }
    public void setHasNewLink(Integer hasNewLink)
    {
        this.hasNewLink = hasNewLink;
    }

    public Integer getHasNewLink()
    {
        return hasNewLink;
    }
    public void setIsChange(Integer isChange)
    {
        this.isChange = isChange;
    }

    public Integer getIsChange()
    {
        return isChange;
    }
    public void setNoPlan(Integer noPlan)
    {
        this.noPlan = noPlan;
    }

    public Integer getNoPlan()
    {
        return noPlan;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("schoolStatusId", getSchoolStatusId())
            .append("schoolId", getSchoolId())
            .append("batchId", getBatchId())
            .append("subjectType", getSubjectType())
            .append("isNewAccept", getIsNewAccept())
            .append("hasNewLink", getHasNewLink())
            .append("isChange", getIsChange())
            .append("noPlan", getNoPlan())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
